#ifndef XSOUNDFILE_H
#define XSOUNDFILE_H

#include "xasset.h"
#include "xsoundfileref.h"

class XSoundFile : public XAsset
{
public:
    XSoundFile();
    ~XSoundFile();

    quint8 GetSoundType() const;

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mType;
    quint8 mExists;
    XSoundFileRef mRef;
};

#endif // XSOUNDFILE_H
